## org.codehaus.groovy.grails.plugins.codecs
Class HTMLCodec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.HTMLCodec

    public class HTMLCodec

extends Object

A codecs that encodes and decodes strings to and from HTML

Since:
  1.1
Author:
  Graeme Rocher

Constructor Summary
`HTMLCodec()`

Method Summary
`static String` `decode(Object target)`
`static String` `encode(Object target)`
`static boolean` `shouldEncode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLCodec

    public HTMLCodec()

Method Detail

### encode

    public static String encode(Object target)

### shouldEncode

    public static boolean shouldEncode()

### decode

    public static String decode(Object target)

Copyright (c) 2005-2009 The Grails project